org.restlet.engine.http.io

## Class UnclosableOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.restlet.engine.http.io.UnclosableOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class UnclosableOutputStream
    extends java.io.FilterOutputStream

OutputStream decorator to trap close() calls so that the decorated stream does not get closed.

Author:
  Kevin Conaway

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`UnclosableOutputStream(java.io.OutputStream source)` Constructor.

### Method Summary

Methods
`void` `close()`

### Methods inherited from class java.io.FilterOutputStream

`flush, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnclosableOutputStream

    public UnclosableOutputStream(java.io.OutputStream source)

Constructor.

Parameters:
  `source` - The decorated source stream.

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`